Subject: Re: bug#78120: 31.0.50; Calendar is not reliable with its marking

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 May 2025 19:06:43 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: Michael Heerdegen <[email-masked]>,  [email-masked]
> Date: Wed, 07 May 2025 16:39:00 +0200
> 
> > Moreover, to reason about this in a useful way, we need a list of
> > faces that could conflict and their semantics.  AFAICT, no one posted
> > such a list.  So for now we are having an almost purely academic
> > discussion, without even knowing how many faces could conflict in this
> > way.
> 
> AFAICT, for calendar, we have diary, calendar-today, holiday and
> diary-anniversary with the following default definitions:

Thanks.  But I don't see here that 'success' face which caused the
original trouble.  Or am I missing something.

> >From this list, I think that only diary and diary-anniversary would
> conflict as they both set the foreground…

Then I think the problem is easy: 'diary' should take precedence over
'diary-anniversary', because in most cases the latter is more
"routine" than the former.

We could also modify one of those to not use the foreground color, but
instead to use 'bold' or 'italic'.

> but as all those faces could
> be customized by a theme, we could have conflicts at a later time.  For
> example: modus themes also use the foreground for holiday so it adds a
> new conflict with diary and diary-anniversary.

This is a problem for theme authors to solve, they should be aware of
the issue and choose the faces accordingly.